liborigin2: Origin::GraphLayer Struct Reference

liborigin2 29/08/2011

Public Member Functions | Public Attributes | List of all members
Origin::GraphLayer Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| GraphLayer ()
bool | is3D () const

## Public Attributes
Color | backgroundColor
vector< Bitmap > | bitmaps
BorderType | borderType
Rect | clientRect
ColorScale | colorScale
vector< GraphCurve > | curves
bool | exchangedAxes
vector< Figure > | figures
bool | gridOnTop
double | histogramBegin
double | histogramBin
double | histogramEnd
double | hLine
int | imageProfileTool
bool | isWaterfall
bool | isXYY3D
TextBox | legend
vector< Line > | lines
bool | orthographic3D
PercentileProperties | percentile
vector< TextBox > | pieTexts
vector< TextBox > | texts
double | vLine
float | xAngle
GraphAxis | xAxis
GraphAxisBreak | xAxisBreak
float | xLength
int | xOffset
float | yAngle
GraphAxis | yAxis
GraphAxisBreak | yAxisBreak
float | yLength
int | yOffset
float | zAngle
GraphAxis | zAxis
GraphAxisBreak | zAxisBreak
float | zLength

## Constructor & Destructor Documentation

## ◆ GraphLayer()

Origin::GraphLayer::GraphLayer | ( |  | ) |
| inline

References Origin::ColorScale::visible.

## Member Function Documentation

## ◆ is3D()

bool Origin::GraphLayer::is3D | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ backgroundColor

Color Origin::GraphLayer::backgroundColor

## ◆ bitmaps

vector<Bitmap> Origin::GraphLayer::bitmaps

## ◆ borderType

BorderType Origin::GraphLayer::borderType

## ◆ clientRect

Rect Origin::GraphLayer::clientRect

## ◆ colorScale

ColorScale Origin::GraphLayer::colorScale

## ◆ curves

vector<GraphCurve> Origin::GraphLayer::curves

## ◆ exchangedAxes

bool Origin::GraphLayer::exchangedAxes

## ◆ figures

vector<Figure> Origin::GraphLayer::figures

## ◆ gridOnTop

bool Origin::GraphLayer::gridOnTop

## ◆ histogramBegin

double Origin::GraphLayer::histogramBegin

## ◆ histogramBin

double Origin::GraphLayer::histogramBin

## ◆ histogramEnd

double Origin::GraphLayer::histogramEnd

## ◆ hLine

double Origin::GraphLayer::hLine

## ◆ imageProfileTool

int Origin::GraphLayer::imageProfileTool

## ◆ isWaterfall

bool Origin::GraphLayer::isWaterfall

## ◆ isXYY3D

bool Origin::GraphLayer::isXYY3D

## ◆ legend

TextBox Origin::GraphLayer::legend

## ◆ lines

vector<Line> Origin::GraphLayer::lines

## ◆ orthographic3D

bool Origin::GraphLayer::orthographic3D

## ◆ percentile

PercentileProperties Origin::GraphLayer::percentile

## ◆ pieTexts

vector<TextBox> Origin::GraphLayer::pieTexts

## ◆ texts

vector<TextBox> Origin::GraphLayer::texts

## ◆ vLine

double Origin::GraphLayer::vLine

## ◆ xAngle

float Origin::GraphLayer::xAngle

## ◆ xAxis

GraphAxis Origin::GraphLayer::xAxis

Referenced by Origin750Parser::readGraphAxisPrefixSuffixInfo().

## ◆ xAxisBreak

GraphAxisBreak Origin::GraphLayer::xAxisBreak

## ◆ xLength

float Origin::GraphLayer::xLength

## ◆ xOffset

int Origin::GraphLayer::xOffset

## ◆ yAngle

float Origin::GraphLayer::yAngle

## ◆ yAxis

GraphAxis Origin::GraphLayer::yAxis

Referenced by Origin750Parser::readGraphAxisPrefixSuffixInfo().

## ◆ yAxisBreak

GraphAxisBreak Origin::GraphLayer::yAxisBreak

## ◆ yLength

float Origin::GraphLayer::yLength

## ◆ yOffset

int Origin::GraphLayer::yOffset

## ◆ zAngle

float Origin::GraphLayer::zAngle

## ◆ zAxis

GraphAxis Origin::GraphLayer::zAxis

## ◆ zAxisBreak

GraphAxisBreak Origin::GraphLayer::zAxisBreak

## ◆ zLength

float Origin::GraphLayer::zLength

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h